# $Revision: 1.129.2.9 $, $Date: 2007/01/28 22:12:56 $
#
# Conditional build:
%bcond_without	alsa	# disable ALSA support
%bcond_with	nas	# enable NAS support
%bcond_without	esd	# disable esound support
%bcond_with	hidden_visibility	# pass '--fvisibility=hidden' & '--fvisibility-inlines-hidden' to g++
#
%define		_state		stable
%define		_kdever		3.5.6
#
Summary:	aRts sound server
Summary(pl):	Serwer dwiku
Summary(pt_BR):	Servidor de sons usado pelo KDE
Name:		arts
Version:	1.5.6
Release:	1
Epoch:		13
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{_kdever}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	e986393a5827499bbad04a00b797add0
#Patch100:	%{name}-branch.diff
Patch0:		%{name}-libs.patch
Patch1:		kde-ac260-lt.patch
URL:		http://www.arts-project.org/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils >= 0.6.14
%{?with_esd:BuildRequires:	esound-devel}
%{?with_hidden_visibility:BuildRequires:	gcc-c++ >= 5:4.1.0-0.20051206r108118.1}
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libmad-devel
BuildRequires:	libtool >= 2:1.5-2
BuildRequires:	libvorbis-devel
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	pkgconfig
%{!?with_hidden_visibility:BuildRequires:	qt-devel >= 6:3.2.1-4}
%{?with_hidden_visibility:BuildRequires:	qt-devel >= 6:3.3.5.051113-1}
Obsoletes:	arts-glib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Analog Real-Time Synthesizer, or aRts, is a modular system for
synthesizing sound and music on a digital computer. Using small
building blocks called modules, the user can easily build complex
audio processing tools. Modules typically provide functions such as
sound waveform generators, filters, audio effects, mixing, and
playback of digital audio in different file formats. The artsd sound
server mixes audio from several sources in real time, allowing
multiple sound applications to transparently share access to sound
hardware.

%description -l pl
Analog Real-Time Synthesizer (w skrcie aRts) to modularny system do
obsugi dwiku i muzyki na komputerze. Za pomoc moduw uytkownik
moe z powodzeniem budowa kompleksowe narzdzia przetwarzania
dwiku. Moduy umoliwiaj generacj ksztatu fali, filtrowanie,
efekty audio, miksowanie oraz odtwarzanie dwiku cyfrowego w rnych
formatach. Serwer dwiku artsd umoliwia rwnie jednoczesne
odtwarzanie dwiku z wielu rde.

%description -l pt_BR
O aRts  um sintetizador analgico em tempo real que  completamente
modular. Voc pode criar sons e msicas (sntese em tempo real de
midi) usando pequenos mdulos como oscilador para criar waveforms,
vrios filtros, mixers, faders, etc. Voc pode configurar tudo atravs
de uma interface no KDE. O Servidor aRts  controlado via CORBA. Este
design foi escolhido para permitir que outras aplicaes usem o aRts
como um sintetizador (ou fornecedor de filtros). Usado pelo KDE, entre
outros.

%package devel
Summary:	Sound server - header files
Summary(pl):	Serwer dwiku - pliki nagwkowe
Summary(pt_BR):	Arquivos para desenvolvimento com o o aRts
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
# not necessary for all libs (e.g. mcop), but propagated by artsflow
%{?with_alsa:Requires:	alsa-lib-devel}
Requires:	audiofile-devel
Requires:	esound-devel
Requires:	glib2-devel >= 2.0.0
Requires:	jack-audio-connection-kit-devel
Requires:	libmad-devel
Requires:	libvorbis-devel
%{?with_nas:Requires:	nas-devel}

%description devel
Header files required to compile programs using arts.

%description devel -l pl
Pliki nagwkowe niezbdne do budowania aplikacji korzystajcych z
arts.

%description devel -l pt_BR
Arquivos para desenvolvimento com o o aRts.

# separate from arts-devel because they are mostly independent and have very
# different deps
# there is no artsc base - it would be small and would require arts - so
# there is no reason to separate
%package -n artsc-devel
Summary:	Development files for artsc libraries
Summary(pl):	Pliki programistyczne bibliotek artsc
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 2.0.0
Conflicts:	arts-devel < 12:1.2.0.031126-2

%description -n artsc-devel
Development files for artsc libraries (C interface to aRts sound
system).

%description -n artsc-devel -l pl
Pliki programistyczne bibliotek artsc (interfejsu w C do systemu
dwiku aRts).

%package X11
Summary:	X11 dependent part of aRts
Summary(pl):	Cz aRts wymagajca X11
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description X11
X11 dependent part of aRts (x11globalcomm module).

%description X11 -l pl
Cz aRts wymagajca X11 (modu x11globalcomm).

%package qt
Summary:	Qt dependend part of aRts
Summary(pl):	Cz aRts wymagajca Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	qt >= 6:3.2.1-4

%description qt
Qt dependend part of aRts (qtmcop library).

%description qt -l pl
Cz aRts wymagajca Qt (biblioteka qtmcop).

%package qt-devel
Summary:	Development files for qtmcop library
Summary(pl):	Pliki programistyczne dla biblioteki qtmcop
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-qt = %{epoch}:%{version}-%{release}
Requires:	qt-devel >= 6:3.2.1-4

%description qt-devel
Development files for qtmcop library.

%description qt-devel -l pl
Pliki programistyczne dla biblioteki qtmcop.

%prep
%setup -q
#%patch100 -p1
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs
%configure \
	%{!?with_nas:ac_cv_header_audio_audiolib_h=no} \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{!?debug:--disable-rpath} \
	--disable-final \
	%{?with_hidden_visibility:--enable-gcc-hidden-visibility} \
	--with-qt-libraries=%{_libdir} \
	--with%{!?with_alsa:out}-alsa

%{__make} \
	CXXLD=%{_host_cpu}-%{_vendor}-%{_os}-g++ \
	CCLD=%{_host_cpu}-%{_vendor}-%{_os}-gcc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	X11 -p /sbin/ldconfig
%postun	X11 -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artscat
%attr(755,root,root) %{_bindir}/artsd
%attr(755,root,root) %{_bindir}/artsdsp
%attr(755,root,root) %{_bindir}/artsplay
%attr(755,root,root) %{_bindir}/artsrec
%attr(755,root,root) %{_bindir}/artsshell
%attr(755,root,root) %{_bindir}/artswrapper
# shared libraries
%attr(755,root,root) %{_libdir}/libartsc.so.*.*.*
%attr(755,root,root) %{_libdir}/libartsflow.so.*.*.*
%attr(755,root,root) %{_libdir}/libartsflow_idl.so.*.*.*
%attr(755,root,root) %{_libdir}/libgmcop.so.*.*.*
%attr(755,root,root) %{_libdir}/libkmedia2.so.*.*.*
%attr(755,root,root) %{_libdir}/libkmedia2_idl.so.*.*.*
%attr(755,root,root) %{_libdir}/libmcop.so.*.*.*
%attr(755,root,root) %{_libdir}/libmcop_mt.so.*.*.*
%attr(755,root,root) %{_libdir}/libsoundserver_idl.so.*.*.*
# lt_dlopened modules (*.la needed)
%attr(755,root,root) %{_libdir}/libartscbackend.so.*.*.*
%{_libdir}/libartscbackend.la
%attr(755,root,root) %{_libdir}/libartsdsp.so.*.*.*
%{_libdir}/libartsdsp.la
%attr(755,root,root) %{_libdir}/libartsdsp_st.so.*.*.*
%{_libdir}/libartsdsp_st.la
%attr(755,root,root) %{_libdir}/libartsgslplayobject.so.*.*.*
%{_libdir}/libartsgslplayobject.la
%attr(755,root,root) %{_libdir}/libartswavplayobject.so.*.*.*
%{_libdir}/libartswavplayobject.la
#
%{_libdir}/mcop
#%{_mandir}/man1/artscat.1*
#%{_mandir}/man1/artsd.1*
#%{_mandir}/man1/artsdsp.1*
#%{_mandir}/man1/artsplay.1*
#%{_mandir}/man1/artsrec.1*
#%{_mandir}/man1/artsshell.1*
#%{_mandir}/man1/artswrapper.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mcopidl
%attr(755,root,root) %{_libdir}/libartsflow.so
%attr(755,root,root) %{_libdir}/libartsflow_idl.so
%attr(755,root,root) %{_libdir}/libartsgslplayobject.so
%attr(755,root,root) %{_libdir}/libartswavplayobject.so
%attr(755,root,root) %{_libdir}/libgmcop.so
%attr(755,root,root) %{_libdir}/libkmedia2.so
%attr(755,root,root) %{_libdir}/libkmedia2_idl.so
%attr(755,root,root) %{_libdir}/libmcop.so
%attr(755,root,root) %{_libdir}/libmcop_mt.so
%attr(755,root,root) %{_libdir}/libsoundserver_idl.so
# it seems to be only (lt_)dlopened, nothing links with it - so not needed
# %attr(755,root,root) %{_libdir}/libx11globalcomm.so
# shared libraries
%{_libdir}/libartsflow.la
%{_libdir}/libartsflow_idl.la
%{_libdir}/libgmcop.la
%{_libdir}/libkmedia2.la
%{_libdir}/libkmedia2_idl.la
%{_libdir}/libmcop.la
%{_libdir}/libmcop_mt.la
%{_libdir}/libsoundserver_idl.la
#
%{_includedir}/arts
%exclude %{_includedir}/arts/qiomanager.h
#%{_mandir}/man1/mcopidl.1*

%files -n artsc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artsc-config
%attr(755,root,root) %{_libdir}/libartsc.so
%attr(755,root,root) %{_libdir}/libartscbackend.so
%attr(755,root,root) %{_libdir}/libartsdsp.so
%attr(755,root,root) %{_libdir}/libartsdsp_st.so
%{_libdir}/libartsc.la
%{_includedir}/artsc
#%{_mandir}/man1/artsc-config.1*

%files X11
%defattr(644,root,root,755)
# lt_dlopened module (.la needed)
%attr(755,root,root) %{_libdir}/libx11globalcomm.so.*.*.*
%{_libdir}/libx11globalcomm.la

%files qt
%defattr(644,root,root,755)
# shared library
%attr(755,root,root) %{_libdir}/libqtmcop.so.*.*.*

%files qt-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqtmcop.so
%{_libdir}/libqtmcop.la
%{_includedir}/arts/qiomanager.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: arts.spec,v $
Revision 1.129.2.9  2007/01/28 22:12:56  glen
- rel 1

Revision 1.129.2.8  2007/01/17 14:24:55  glen
- 1.5.6 (KDE 3.5.6)

Revision 1.129.2.7  2006/11/03 09:39:22  glen
- rel 1

Revision 1.129.2.6  2006/10/03 08:14:21  glen
- KDE 3.5.5

Revision 1.129.2.5  2006/09/17 22:16:15  glen
- omit -L from arts-config; rel 2

Revision 1.129.2.4  2006/07/31 15:59:31  glen
- 1.5.4 (from KDE 3.5.4)

Revision 1.129.2.3  2006/06/09 16:14:17  glen
- merge from HEAD: rel 2; security fix

Revision 1.129.2.2  2006/05/29 06:34:18  glen
- KDE 3.5.3

Revision 1.129.2.1  2006/04/05 20:31:36  glen
- no hidden_visibility for AC

Revision 1.129  2006/04/05 20:31:00  glen
- unify macros

Revision 1.128  2006/03/26 09:47:15  arekm
- up to 1.5.2, no manual pages in package unfortunately

Revision 1.127  2006/02/19 15:25:04  wolf
- enable hidden visibility, rel 2

Revision 1.126  2006/01/22 14:25:37  arekm
- up to 1.5.1

Revision 1.125  2005/12/28 03:49:30  pluto
- hidden visibility bcond, release 2.

Revision 1.124  2005/12/27 23:02:05  pluto
- disable-final (memory hog and no major optimizations).

Revision 1.123  2005/11/22 22:43:36  arekm
- rel 1

Revision 1.122  2005/11/21 14:57:06  arekm
- final tarball

Revision 1.121  2005/11/13 18:53:55  glen
- pass CXXLD and CCLD to make. fixes build with distcc. (or it's distcc problem?)

Revision 1.120  2005/11/12 22:55:27  arekm
- fix _kdever

Revision 1.119  2005/11/12 21:16:52  arekm
- up to 1.5.0rc1

Revision 1.118  2005/10/09 17:44:09  arekm
- rel 1

Revision 1.117  2005/10/06 13:56:25  arekm
- up to 1.4.3

Revision 1.116  2005/07/28 17:15:33  arekm
- rel 1

Revision 1.115  2005/07/21 12:54:50  arekm
- up to 1.4.2

Revision 1.114  2005/05/31 20:30:38  arekm
- rel 1

Revision 1.113  2005/05/25 23:27:42  arekm
- up to 1.4.1

Revision 1.112  2005/05/19 09:05:42  pluto
- -fvisibility-inlines-hidden reenabled.

Revision 1.111  2005/05/05 12:30:09  pluto
- disable -fvisibility-inlines-hidden due to gcc bugs.
  moreover libstdc++ headers need push/pop visibility attribute.
  now it builds/links on amd64/ppc fine.

Revision 1.110  2005/05/05 01:46:25  pluto
- bump release for rebuild without visibility bugs.

Revision 1.109  2005/05/04 08:24:46  pluto
- release 2 for Th.

Revision 1.108  2005/03/24 12:53:43  djurban
- rel 1, adde branch diff

Revision 1.107  2005/03/19 22:00:03  arekm
- BR: docbook-utils >= 0.6.14

Revision 1.106  2005/03/16 18:17:57  qboosh
- fixed _kdever; aren't these 3 macros redundant btw?

Revision 1.105  2005/03/16 16:49:23  arekm
- merged from DEVEL; changelog cut down

Revision 1.104  2004/12/12 23:21:15  ankry
- 1.3.2; thanks to Michal Kochanowicz

Revision 1.103  2004/12/09 22:57:47  qboosh
- removed redundant _ver macro, unified if

Revision 1.102.2.8  2005/03/09 23:08:51  pluto
- reverted.

Revision 1.102.2.7  2005/03/05 11:56:41  pluto
- back to 1.4.0rc1 (final wasn't released for public).

Revision 1.102.2.6  2005/03/04 21:59:14  arekm
- up to 1.4.0

Revision 1.102.2.5  2005/02/24 08:11:31  adgor
- No unsermake at now

Revision 1.102.2.4  2005/02/11 16:23:46  adgor
- Updated to 050210 snap because kdebase-3.3.92 does not build

Revision 1.102.2.3  2005/02/09 20:35:05  adgor
- 1.3.92

Revision 1.102.2.2  2005/01/14 13:37:08  wolf
- 1.3.91

Revision 1.104  2004/12/12 23:21:15  ankry
- 1.3.2; thanks to Michal Kochanowicz

Revision 1.103  2004/12/09 22:57:47  qboosh
- removed redundant _ver macro, unified if

Revision 1.102  2004/11/01 13:13:41  djurban
- rel. 2

Revision 1.101  2004/11/01 13:10:53  djurban
- begin libsuffixation of KDE, adding debug handling will need masss changes

Revision 1.100  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.99  2004/10/14 17:54:26  arekm
- rel; fix url/ver

Revision 1.98  2004/10/06 21:44:11  arekm
- prerel 1.3.1
